Bug 862251 - [abrt] java-1.7.0-openjdk-devel-1.7.0.6-2.3.1.fc17.2: exit: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.6.x86_64/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-devel-1.7.0.6-2.3.1.fc17.2: exit: Process /usr/lib/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qtwebkit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:41234a85fd6f4c58fcffd7b8d58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 09:00 EDT by Ferry Huberts
Modified: 2013-08-01 05:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.17 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: environ (1.92 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: backtrace (93.31 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: maps (85.55 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: dso_list (14.40 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: build_ids (5.57 KB, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: open_fds (875 bytes, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details
File: var_log_messages (832 bytes, text/plain)
2012-10-02 09:00 EDT, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2012-10-02 09:00:23 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-devel-1.7.0.6-2.3.1.fc17.2

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.6.x86_64/bin/java -Dosgi.requiredJavaVersion=1.5 -Dhelp.lucene.tokenizer=standard -XX:MaxPermSize=256m -Xms40m -Xmx512m -Dfile.encoding=UTF-8 -classpath /home/ferry/e4cursus/eclipse/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar org.eclipse.equinox.launcher.Main -launcher /home/ferry/e4cursus/eclipse/eclipse -name Eclipse -showsplash 600 -product com.example.e4.rcp.todo.product -data /home/ferry/e4cursus/workspace/../runtime-todo.product -configuration file:/home/ferry/e4cursus/workspace/.metadata/.plugins/org.eclipse.pde.core/todo.product/ -dev file:/home/ferry/e4cursus/workspace/.metadata/.plugins/org.eclipse.pde.core/todo.product/dev.properties -os linux -ws gtk -arch x86_64 -nl en_US -consoleLog -clearPersistedState -console
crash_function: exit
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (7 frames)
: #41 exit at exit.c:100
: #42 vm_direct_exit at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/java.cpp:570
: #43 VM_Operation::evaluate at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/vm_operations.cpp:70
: #44 VMThread::evaluate_operation at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/vmThread.cpp:379
: #45 VMThread::loop at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/vmThread.cpp:491
: #46 VMThread::run at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/vmThread.cpp:284
: #47 java_start at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:886
Comment 1 Ferry Huberts 2012-10-02 09:00:27 EDT
Created attachment 620266 [details]
File: core_backtrace
Comment 2 Ferry Huberts 2012-10-02 09:00:29 EDT
Created attachment 620267 [details]
File: environ
Comment 3 Ferry Huberts 2012-10-02 09:00:31 EDT
Created attachment 620268 [details]
File: limits
Comment 4 Ferry Huberts 2012-10-02 09:00:34 EDT
Created attachment 620269 [details]
File: backtrace
Comment 5 Ferry Huberts 2012-10-02 09:00:36 EDT
Created attachment 620270 [details]
File: cgroup
Comment 6 Ferry Huberts 2012-10-02 09:00:39 EDT
Created attachment 620271 [details]
File: maps
Comment 7 Ferry Huberts 2012-10-02 09:00:42 EDT
Created attachment 620272 [details]
File: dso_list
Comment 8 Ferry Huberts 2012-10-02 09:00:44 EDT
Created attachment 620273 [details]
File: build_ids
Comment 9 Ferry Huberts 2012-10-02 09:00:47 EDT
Created attachment 620274 [details]
File: open_fds
Comment 10 Ferry Huberts 2012-10-02 09:00:49 EDT
Created attachment 620275 [details]
File: var_log_messages
Comment 11 Deepak Bhole 2012-10-15 16:59:26 EDT
The error seems to be coming from this line:
#6  0x0000003378125b24 in WTF::StringImpl::~StringImpl (this=0x7f41780799d8, __in_chrg=<optimized out>) at Source/JavaScriptCore/wtf/text/StringImpl.cpp:53
        ownership = <optimized out>

This is not part of OpenJDK and thus cannot be addressed by the JVM.

Re-assigning to qtwebkit which supplies the file.
Comment 12 Fedora End Of Life 2013-07-03 22:49:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 05:29:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.